Buscar classificação de serviço completa

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/classification-service/complete

Retorna a estrutura completa da classificação de serviço com todos os níveis configurados.

application/json

Body Required

pageRequest

  • conditions array[object] Required
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • direction string

    Values are ASC or DESC.

  • page integer(int32)
  • sort boolean Required
  • sortColumn string
  • size integer(int32)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • page integer(int32) Required
    • results array[object]
      Hide results attributes Show results attributes object
      • agentId integer(int64)
      • classificationTree object
        Hide classificationTree attributes Show classificationTree attributes object
        • active boolean
        • children array[object]
        • createdAt string(date-time)
        • createdBy string
        • id integer(int64)
        • nodeId integer(int64)
        • parent object
        • updatedAt string(date-time)
        • updatedBy string
        • value string
      • classificationTreeSession integer(int64)
      • commentClassification string
      • createdAt string(date-time)
      • createdBy string
      • displayName string
      • groupConfId integer(int64)
      • id integer(int64)
      • rootId integer(int64)
      • sessionId integer(int64)
      • updatedAt string(date-time)
      • updatedBy string
    • size integer(int32)
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/classification-service/complete
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/classification-service/complete' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"string","value":"string","operator":"EQ","logic":"AND","or":[{}],"and":[{}],"conditions":[{}]}],"direction":"ASC","page":42,"sort":true,"sortColumn":"string","size":42}'
Request examples
{
  "conditions": [
    {
      "key": "string",
      "value": "string",
      "operator": "EQ",
      "logic": "AND",
      "or": [
        {}
      ],
      "and": [
        {}
      ],
      "conditions": [
        {}
      ]
    }
  ],
  "direction": "ASC",
  "page": 42,
  "sort": true,
  "sortColumn": "string",
  "size": 42
}
Response examples (200)
{
  "page": 42,
  "results": [
    {
      "agentId": 42,
      "classificationTree": {
        "active": true,
        "children": [
          {}
        ],
        "createdAt": "2026-05-04T09:42:00Z",
        "createdBy": "string",
        "id": 42,
        "nodeId": 42,
        "parent": {},
        "updatedAt": "2026-05-04T09:42:00Z",
        "updatedBy": "string",
        "value": "string"
      },
      "classificationTreeSession": 42,
      "commentClassification": "string",
      "createdAt": "2026-05-04T09:42:00Z",
      "createdBy": "string",
      "displayName": "string",
      "groupConfId": 42,
      "id": 42,
      "rootId": 42,
      "sessionId": 42,
      "updatedAt": "2026-05-04T09:42:00Z",
      "updatedBy": "string"
    }
  ],
  "size": 42
}